#!/bin/sh
#BEGIN COPYRIGHT
#*************************************************************************
#
# Licensed Materials - Property of IBM
# 5725-C94, 5725-C95, 5725-C96
# (C) Copyright IBM Corporation 2012, 2013. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
#*************************************************************************
#END COPYRIGHT

usage() {
    echo "Usage:"
    echo -e -n "\n"
    echo "updateVirtualHost.sh [options...]"
    echo -e -n "\n"
    echo "Options:"
    echo "    -?, -help                                       This help message"
    echo "    -d, --deployment-environment=DE_NAME1,DE_NAME2  Specify the deployment"
    echo "                                                    environment names."
    echo "    -v, --virtual-name=virtual_host_name            virtual host on which to map web modules in applications."
    echo "        --no-sync                                   Do not force the immediate"
    echo "                                                    sync of changes across nodes."
    echo "        --no-save                                   Do not save configuration changes."
    echo -e -n "\n"

    exit $1
}

# Bootstrap values ...
curDir=`pwd`
binDir=`dirname "$0"`
cd "$binDir/../.."
REPLACE_WAS_HOME=`pwd`
export REPLACE_WAS_HOME
cd "$curDir"
. "${REPLACE_WAS_HOME}/bin/setupCmdLine.sh"

if [ "$1" == "-?" ]
then
	usage 0
fi

if [ "$1" == "-help" ]
then
	usage 0
fi


$WAS_HOME/bin/wsadmin.sh -lang jython -wsadmin_classpath $WAS_HOME"/BPM/Lombardi/lib/utility.jar" -f $WAS_HOME"/BPM/scripts/updateVirtualHost.py" "$@" -javaoption "-Dcom.ibm.SOAP.requestTimeout=1800"


