#!/bin/sh
#BEGIN COPYRIGHT
#*************************************************************************
#
# Licensed Materials - Property of IBM
# 5725-C94, 5725-C95, 5725-C96
# (C) Copyright IBM Corporation 2013. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
#*************************************************************************
#END COPYRIGHT

binDir=`dirname "$0"`
. "$binDir"/setupCmdLine.sh

#Platform specific args...
PLATFORM=`/bin/uname`
case $PLATFORM in
  AIX)
    CONSOLE_ENCODING=-Dws.output.encoding=console;;
  Linux)
    CONSOLE_ENCODING=-Dws.output.encoding=console;;
  SunOS)
    CONSOLE_ENCODING=-Dws.output.encoding=console;;
  HP-UX)
    CONSOLE_ENCODING=-Dws.output.encoding=console;;
  OS/390)
    EXTRA_D_ARG=-Dfile.encoding=ISO8859-1
    EXTRA_X_ARG=-Xnoargsconversion ;;
esac

# Set java options for performance
PLATFORM=`/bin/uname`
case $PLATFORM in
  AIX)
      PERF_JVM_OPTIONS="-Xms512m -Xmx768m -Xquickstart" ;;
  Linux)
      PERF_JVM_OPTIONS="-Xms512m -Xmx768m -Xj9 -Xquickstart" ;;
  SunOS)
      PERF_JVM_OPTIONS="-Xms512m -Xmx768m -XX:PermSize=40m -XX:MaxPermSize=256m -XX:+UnlockDiagnosticVMOptions -XX:+UnsyncloadClass" ;;
  HP-UX)
      PERF_JVM_OPTIONS="-Xms512m -Xmx768m -XX:PermSize=40m -XX:MaxPermSize=128m -XX:+UnlockDiagnosticVMOptions -XX:+UnsyncloadClass" ;;
  OS/390)
      PERF_JVM_OPTIONS="-Xms512m -Xmx768m" ;;
esac 

BPM_CONFIG_TRACE_STRING=*=warning:com.ibm.config.annotations.*=severe:com.ibm.ws.ecs.*=severe:com.ibm.ffdc.*=info:com.ibm.bpm.config.*=all
WAS_LOGGING="-Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByLoggingPropertiesFile=true -Dcom.ibm.bpm.config.traceString=$BPM_CONFIG_TRACE_STRING" 
# WAS_DEBUG="-Djava.compiler=NONE -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=7777"

"$JAVA_HOME/bin/java" \
  "$OSGI_INSTALL" "$OSGI_CFG" \
  $EXTRA_X_ARG \
  $WAS_DEBUG \
  $CONSOLE_ENCODING \
  -Dws.ext.dirs="$WAS_EXT_DIRS" \
  -Djava.endorsed.dirs="$WAS_ENDORSED_DIRS" \
  -Dwas.install.root="$WAS_HOME" \
  $PERF_JVM_OPTIONS \
  ${JAASSOAP:+"$JAASSOAP"} \
  $WAS_LOGGING \
  $EXTRA_D_ARG \
  $JVM_EXTRA_CMD_ARGS \
  -classpath "$WAS_CLASSPATH":"$WAS_HOME"/lib/j2ee.jar:"$WAS_HOME"/properties com.ibm.wsspi.bootstrap.WSPreLauncher \
  -nosplash -application com.ibm.ws.bootstrap.WSLauncher com.ibm.bpm.config.BPMConfig "$@"
  
exit $?
