#!/bin/sh
#BEGIN COPYRIGHT
#*************************************************************************
#
# Licensed Materials - Property of IBM
# 5725-C94, 5725-C95, 5725-C96
# (C) Copyright IBM Corporation 2008, 2013. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
#*************************************************************************
#END COPYRIGHT

# BPM Migration Utility Disk

if [ "$#" = "0" ]; then
    echo "error: Missing zip_filename_with_fullpath"
    echo
    echo "Usage: BPMCreateRemoteMigrationUtilities <zip_filename_with_fullpath>"
    echo
    echo "Note: the path must already exist."
    exit
fi

if [ "$1" = "-help" -o "$1" = "-h" ]; then
    echo "Usage: BPMCreateRemoteMigrationUtilities <zip_filename_with_fullpath>"
    echo    
    exit
fi

WAS_USER_SCRIPT=""
USER_INSTALL_ROOT=""

binDir=`dirname "$0"`
. "$binDir"/setupCmdLine.sh

#Platform specific args...
PLATFORM=`/bin/uname`
case $PLATFORM in
  AIX)
    CONSOLE_ENCODING=-Dws.output.encoding=console;;
  Linux)
    CONSOLE_ENCODING=-Dws.output.encoding=console;;
  SunOS)
    CONSOLE_ENCODING=-Dws.output.encoding=console;;
  HP-UX)
    CONSOLE_ENCODING=-Dws.output.encoding=console;;
  OS/390)
    EXTRA_D_ARG=-Dfile.encoding=ISO8859-1
    EXTRA_X_ARG=-Xnoargsconversion ;;
esac

# Set java options for performance
PLATFORM=`/bin/uname`
case $PLATFORM in
  AIX)
      PERF_JVM_OPTIONS="-Xms512m -Xmx768m -Xquickstart" ;;
  Linux)
      PERF_JVM_OPTIONS="-Xms512m -Xmx768m -Xj9 -Xquickstart" ;;
  SunOS)
      PERF_JVM_OPTIONS="-Xms512m -Xmx768m -XX:PermSize=40m -XX:MaxPermSize=128m -XX:+UnlockDiagnosticVMOptions -XX:+UnsyncloadClass" ;;
  HP-UX)
      PERF_JVM_OPTIONS="-Xms512m -Xmx768m -XX:PermSize=40m -XX:MaxPermSize=128m -XX:+UnlockDiagnosticVMOptions -XX:+UnsyncloadClass" ;;
  OS/390)
      PERF_JVM_OPTIONS="-Xms512m -Xmx768m" ;;
esac 

# Set the ulimit
LIMIT=`ulimit -n`
if [ "${LIMIT}" != "unlimited" ]
then
  if [ $LIMIT -lt 8192 ]
  then
    ulimit -n 8192
  fi
fi

"$JAVA_HOME/bin/java" \
  "$OSGI_INSTALL" "$OSGI_CFG" \
  $EXTRA_X_ARG \
  $CONSOLE_ENCODING \
  -Dcom.ibm.jsse2.checkRevocation=false \
  -Dcom.ibm.security.enableCRLDP=false \
  -Duser.install.root="$WAS_HOME" \
  -Dwas.install.root="$WAS_HOME" \
  -Dwas.root="$WAS_HOME" \
  -DzipFile="$1" \
  -DtargetOS="$2" \
  $PERF_JVM_OPTIONS \
  ${JAASSOAP:+"$JAASSOAP"} \
  $WAS_LOGGING \
  $EXTRA_D_ARG \
  $JVM_EXTRA_CMD_ARGS \
  -classpath "$WAS_CLASSPATH"  com.ibm.ws.bootstrap.WSLauncher org.apache.tools.ant.Main \
  -file "$WAS_HOME/util/migration/scripts/createMigrationUtilDisk.ant"
